org.omg.CORBA

## Class TRANSACTION_ROLLEDBACK

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.TRANSACTION_ROLLEDBACK

All Implemented Interfaces:
  Serializable

    public final class TRANSACTION_ROLLEDBACK
    extends SystemException

Exception thrown when the transaction associated with the request has already been rolled back or marked to roll back. Thus, the requested operation either could not be performed or was not performed because further computation on behalf of the transaction would be fruitless.

See the OMG Transaction Service specification for details. It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

See Also:
  documentation on Java IDL exceptions

### Field Summary

### Fields inherited from class org.omg.CORBA.SystemException

`completed, minor`

### Constructor Summary

Constructors
Constructor and Description
`TRANSACTION_ROLLEDBACK()` Constructs a `TRANSACTION_ROLLEDBACK` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
`TRANSACTION_ROLLEDBACK(int minor, CompletionStatus completed)` Constructs a `TRANSACTION_ROLLEDBACK` exception with the specified minor code and completion status.
`TRANSACTION_ROLLEDBACK(String s)` Constructs a `TRANSACTION_ROLLEDBACK` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
`TRANSACTION_ROLLEDBACK(String s, int minor, CompletionStatus completed)` Constructs a `TRANSACTION_ROLLEDBACK` exception with the specified description message, minor code, and completion status.

### Method Summary

### Methods inherited from class org.omg.CORBA.SystemException

`toString`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TRANSACTION_ROLLEDBACK

    public TRANSACTION_ROLLEDBACK()

Constructs a `TRANSACTION_ROLLEDBACK` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

#### TRANSACTION_ROLLEDBACK

    public TRANSACTION_ROLLEDBACK(String s)

Constructs a `TRANSACTION_ROLLEDBACK` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.

Parameters:
  `s` - the String containing a detail message

#### TRANSACTION_ROLLEDBACK

    public TRANSACTION_ROLLEDBACK(int minor,
                          CompletionStatus completed)

Constructs a `TRANSACTION_ROLLEDBACK` exception with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - the completion status

#### TRANSACTION_ROLLEDBACK

    public TRANSACTION_ROLLEDBACK(String s,
                          int minor,
                          CompletionStatus completed)

Constructs a `TRANSACTION_ROLLEDBACK` exception with the specified description message, minor code, and completion status.

Parameters:
  `s` - the String containing a description message
  `minor` - the minor code
  `completed` - the completion status

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.